## bespokesynth 1.2.1%2Bdfsg

=== debian/control ===
Source: bespokesynth
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 ableton-link-dev,
 cmake,
 debhelper-compat (= 13),
 juce-modules-source,
 libjack-dev,
 libjsoncpp-dev,
 libmts-esp-dev,
 libpython3-dev,
 libreaderwriterqueue-dev,
 libtuning-library-dev,
 pybind11-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/BespokeSynth/BespokeSynth
Vcs-Git: https://salsa.debian.org/multimedia-team/bespokesynth.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/bespokesynth

Package: bespokesynth
Architecture: any
Multi-Arch: foreign
Depends:
 bespokesynth-data,
 fonts-freefont-ttf,
 ${misc:Depends},
 ${shlibs:Depends},
Description: software modular synthesizer
 Bespoke is a software modular synthesizer. It contains an array of modules,
 which one can connect together to create sounds. Bespoke is like a digital
 audio workstation in some ways, but with less of a focus on a global timeline.
 Instead, it has a design more optimized for jamming and exploration.

Package: bespokesynth-data
Architecture: all
Depends:
 ${misc:Depends},
Description: software modular synthesizer - data files
 Bespoke is a software modular synthesizer. It contains an array of modules,
 which one can connect together to create sounds. Bespoke is like a digital
 audio workstation in some ways, but with less of a focus on a global timeline.
 Instead, it has a design more optimized for jamming and exploration.
 .
 This package contains Bespoke data files.
