=== Source/CMakeLists.txt ===
include(cmake/lib.cmake)
include(cmake/versiontools.cmake)
include(../libs/ableton-link/AbletonLinkConfig.cmake)

juce_add_gui_app(BespokeSynth
    PRODUCT_NAME BespokeSynth
    ICON_BIG ${CMAKE_SOURCE_DIR}/bespoke_icon.png
    MICROPHONE_PERMISSION_ENABLED TRUE
    CAMERA_PERMISSION_ENABLED     TRUE
    BLUETOOTH_PERMISSION_ENABLED  TRUE
    FILE_SHARING_ENABLED          TRUE
    DOCUMENT_BROWSER_ENABLED      TRUE
    DOCUMENT_EXTENSIONS           .bsk
    BUNDLE_ID                     com.ryanchallinor.bespokesynth
    PLUGINHOST_AU                 TRUE
    )

bespoke_buildtime_version_info(BespokeSynth)

target_sources(BespokeSynth PRIVATE
    ADSR.cpp
    ADSR.h
    ADSRDisplay.cpp
    ADSRDisplay.h
    AbletonLink.cpp
    AbletonLink.h
    Amplifier.cpp
    Amplifier.h
    Arpeggiator.cpp
    Arpeggiator.h
    ArrangementController.cpp
    ArrangementController.h
    AudioLevelToCV.cpp
    AudioLevelToCV.h
    AudioMeter.cpp
    AudioMeter.h
    AudioRouter.cpp
    AudioRouter.h
    AudioSend.cpp
    AudioSend.h
    AudioToCV.cpp
    AudioToCV.h
    AudioToPulse.cpp
    AudioToPulse.h
    Autotalent.cpp
    Autotalent.h
    BandVocoder.cpp
    BandVocoder.h
    BeatBloks.cpp
    BeatBloks.h
    Beats.cpp
    Beats.h
    BiquadFilter.cpp
    BiquadFilter.h
    BiquadFilterEffect.cpp
    BiquadFilterEffect.h
    BitcrushEffect.cpp
    BitcrushEffect.h
    BufferShuffler.cpp
    BufferShuffler.h
    ButterworthFilterEffect.cpp
    ButterworthFilterEffect.h
    Canvas.cpp
    Canvas.h
    CanvasControls.cpp
    CanvasControls.h
    CanvasElement.cpp
    CanvasElement.h
    CanvasScrollbar.cpp
    CanvasScrollbar.h
    CanvasTimeline.cpp
    CanvasTimeline.h
    Capo.cpp
    Capo.h
    ChannelBuffer.cpp
    ChannelBuffer.h
    ChaosEngine.cpp
    ChaosEngine.h
    Checkbox.cpp
    Checkbox.h
    Chord.cpp
    Chord.h
    ChordDatabase.cpp
    ChordDatabase.h
    ChordDisplayer.cpp
    ChordDisplayer.h
    ChordHolder.cpp
    ChordHolder.h
    Chorder.cpp
    Chorder.h
    CircleSequencer.cpp
    CircleSequencer.h
    ClickButton.cpp
    ClickButton.h
    ClipArranger.cpp
    ClipArranger.h
    ClipLauncher.cpp
    ClipLauncher.h
    CodeEntry.cpp
    CodeEntry.h
    ComboGridController.cpp
    ComboGridController.h
    CommentDisplay.cpp
    CommentDisplay.h
    Compressor.cpp
    Compressor.h
    ControlSequencer.cpp
    ControlSequencer.h
    ControlTactileFeedback.cpp
    ControlTactileFeedback.h
    ControllingSong.cpp
    ControllingSong.h
    Curve.cpp
    Curve.h
    CurveLooper.cpp
    CurveLooper.h
    DCOffset.cpp
    DCOffset.h
    DCRemoverEffect.cpp
    DCRemoverEffect.h
    DebugAudioSource.cpp
    DebugAudioSource.h
    DelayEffect.cpp
    DelayEffect.h
    DistortionEffect.cpp
    DistortionEffect.h
    DropdownList.cpp
    DropdownList.h
    DrumPlayer.cpp
    DrumPlayer.h
    DrumSynth.cpp
    DrumSynth.h
    EQEffect.cpp
    EQEffect.h
    EQModule.cpp
    EQModule.h
    EffectChain.cpp
    EffectChain.h
    EffectFactory.cpp
    EffectFactory.h
    EnvOscillator.cpp
    EnvOscillator.h
    EnvelopeEditor.cpp
    EnvelopeEditor.h
    EnvelopeModulator.cpp
    EnvelopeModulator.h
    EventCanvas.cpp
    EventCanvas.h
    FFT.cpp
    FFT.h
    FFTtoAdditive.cpp
    FFTtoAdditive.h
    FMSynth.cpp
    FMSynth.h
    FMVoice.cpp
    FMVoice.h
    FeedbackModule.cpp
    FeedbackModule.h
    FileStream.cpp
    FileStream.h
    FillSaveDropdown.h
    FilterButterworth24db.cpp
    FilterButterworth24db.h
    FilterViz.cpp
    FilterViz.h
    FloatSliderLFOControl.cpp
    FloatSliderLFOControl.h
    FollowingSong.cpp
    FollowingSong.h
    FormantFilterEffect.cpp
    FormantFilterEffect.h
    FourOnTheFloor.cpp
    FourOnTheFloor.h
    FreeverbEffect.cpp
    FreeverbEffect.h
    FreqDelay.cpp
    FreqDelay.h
    FreqDomainBoilerplate.cpp
    FreqDomainBoilerplate.h
    FubbleModule.cpp
    FubbleModule.h
    GainStageEffect.cpp
    GainStageEffect.h
    GateEffect.cpp
    GateEffect.h
    GlobalControls.cpp
    GlobalControls.h
    Granulator.cpp
    Granulator.h
    GridController.cpp
    GridController.h
    GridModule.cpp
    GridModule.h
    GridSliders.cpp
    GridSliders.h
    GroupControl.cpp
    GroupControl.h
    HelpDisplay.cpp
    HelpDisplay.h
    IAudioEffect.h
    IAudioPoller.h
    IAudioProcessor.cpp
    IAudioProcessor.h
    IAudioReceiver.cpp
    IAudioReceiver.h
    IAudioSource.cpp
    IAudioSource.h
    IClickable.cpp
    IClickable.h
    IDrawableModule.cpp
    IDrawableModule.h
    IDrivableSequencer.h
    IMidiVoice.h
    IModulator.cpp
    IModulator.h
    INonstandardController.h
    INoteReceiver.cpp
    INoteReceiver.h
    INoteSource.cpp
    INoteSource.h
    IPatchable.h
    IPollable.h
    IPulseReceiver.cpp
    IPulseReceiver.h
    IUIControl.cpp
    IUIControl.h
    IVoiceParams.h
    InputChannel.cpp
    InputChannel.h
    Inverter.cpp
    Inverter.h
    JumpBlender.cpp
    JumpBlender.h
    KarplusStrong.cpp
    KarplusStrong.h
    KarplusStrongVoice.cpp
    KarplusStrongVoice.h
    KeyboardDisplay.cpp
    KeyboardDisplay.h
    Kicker.cpp
    Kicker.h
    LFO.cpp
    LFO.h
    LFOController.cpp
    LFOController.h
    LaunchpadInterpreter.cpp
    LaunchpadInterpreter.h
    LaunchpadKeyboard.cpp
    LaunchpadKeyboard.h
    LaunchpadNoteDisplayer.cpp
    LaunchpadNoteDisplayer.h
    LinkwitzRileyFilter.cpp
    LinkwitzRileyFilter.h
    LinnstrumentControl.cpp
    LinnstrumentControl.h
    Lissajous.cpp
    Lissajous.h
    LiveGranulator.cpp
    LiveGranulator.h
    LocationZoomer.cpp
    LocationZoomer.h
    LockFreeQueue.h
    LoopStorer.cpp
    LoopStorer.h
    Looper.cpp
    Looper.h
    LooperGranulator.cpp
    LooperGranulator.h
    LooperRecorder.cpp
    LooperRecorder.h
    M185Sequencer.cpp
    M185Sequencer.h
    MPESmoother.cpp
    MPESmoother.h
    MPETweaker.cpp
    MPETweaker.h
    MacroSlider.cpp
    MacroSlider.h
    Main.cpp
    MainComponent.cpp
    MathUtils.cpp
    MathUtils.h
    Metronome.cpp
    Metronome.h
    MidiCapturer.cpp
    MidiCapturer.h
    MidiClockIn.cpp
    MidiClockIn.h
    MidiClockOut.cpp
    MidiClockOut.h
    MidiControlChange.cpp
    MidiControlChange.h
    MidiController.cpp
    MidiController.h
    MidiDevice.cpp
    MidiDevice.h
    MidiOutput.cpp
    MidiOutput.h
    MidiReader.cpp
    MidiReader.h
    Minimap.cpp
    Minimap.h
    ModWheel.cpp
    ModWheel.h
    ModWheelToCV.cpp
    ModWheelToCV.h
    ModularSynth.cpp
    ModularSynth.h
    ModulationChain.cpp
    ModulationChain.h
    ModulationVisualizer.cpp
    ModulationVisualizer.h
    ModulatorAccum.cpp
    ModulatorAccum.h
    ModulatorAdd.cpp
    ModulatorAdd.h
    ModulatorAddCentered.cpp
    ModulatorAddCentered.h
    BoundsToPulse.cpp
    BoundsToPulse.h
    ModulatorCurve.cpp
    ModulatorCurve.h
    ModulatorExpression.cpp
    ModulatorExpression.h
    ModulatorGravity.cpp
    ModulatorGravity.h
    ModulatorMult.cpp
    ModulatorMult.h
    ModulatorSmoother.cpp
    ModulatorSmoother.h
    ModulatorSubtract.cpp
    ModulatorSubtract.h
    ModuleContainer.cpp
    ModuleContainer.h
    ModuleFactory.cpp
    ModuleFactory.h
    ModuleSaveData.cpp
    ModuleSaveData.h
    ModuleSaveDataPanel.cpp
    ModuleSaveDataPanel.h
    ModwheelToPressure.cpp
    ModwheelToPressure.h
    ModwheelToVibrato.cpp
    ModwheelToVibrato.h
    Monome.cpp
    Monome.h
    Monophonify.cpp
    Monophonify.h
    MultiBandTracker.cpp
    MultiBandTracker.h
    MultibandCompressor.cpp
    MultibandCompressor.h
    MultitapDelay.cpp
    MultitapDelay.h
    MultitrackRecorder.cpp
    MultitrackRecorder.h
    Muter.cpp
    Muter.h
    NamedMutex.cpp
    NamedMutex.h
    Neighborhooder.cpp
    Neighborhooder.h
    NoiseEffect.cpp
    NoiseEffect.h
    NoteCanvas.cpp
    NoteCanvas.h
    NoteChainNode.cpp
    NoteChainNode.h
    NoteChance.cpp
    NoteChance.h
    NoteCounter.cpp
    NoteCounter.h
    NoteCreator.cpp
    NoteCreator.h
    NoteDelayer.cpp
    NoteDelayer.h
    NoteDisplayer.cpp
    NoteDisplayer.h
    NoteEcho.cpp
    NoteEcho.h
    NoteEffectBase.h
    NoteExpressionRouter.cpp
    NoteExpressionRouter.h
    NoteFilter.cpp
    NoteFilter.h
    NoteFlusher.cpp
    NoteFlusher.h
    NoteGate.cpp
    NoteGate.h
    NoteHocket.cpp
    NoteHocket.h
    NoteHumanizer.cpp
    NoteHumanizer.h
    NoteLatch.cpp
    NoteLatch.h
    NoteLooper.cpp
    NoteLooper.h
    NoteOctaver.cpp
    NoteOctaver.h
    NoteOutputQueue.cpp
    NoteOutputQueue.h
    NotePanAlternator.cpp
    NotePanAlternator.h
    NotePanRandom.cpp
    NotePanRandom.h
    NotePanner.cpp
    NotePanner.h
    NoteQuantizer.cpp
    NoteQuantizer.h
    NoteRangeFilter.cpp
    NoteRangeFilter.h
    NoteRatchet.cpp
    NoteRatchet.h
    NoteRouter.cpp
    NoteRouter.h
    NoteSinger.cpp
    NoteSinger.h
    NoteSorter.cpp
    NoteSorter.h
    NoteStepSequencer.cpp
    NoteStepSequencer.h
    NoteStepper.cpp
    NoteStepper.h
    NoteStreamDisplay.cpp
    NoteStreamDisplay.h
    NoteStrummer.cpp
    NoteStrummer.h
    NoteSustain.cpp
    NoteSustain.h
    NoteTable.cpp
    NoteTable.h
    NoteToFreq.cpp
    NoteToFreq.h
    NoteToMs.cpp
    NoteToMs.h
    NoteToPulse.cpp
    NoteToPulse.h
    NoteToggle.cpp
    NoteToggle.h
    NoteTransformer.cpp
    NoteTransformer.h
    NoteVibrato.cpp
    NoteVibrato.h
    OSCOutput.cpp
    OSCOutput.h
    OpenFrameworksPort.cpp
    OpenFrameworksPort.h
    OscController.cpp
    OscController.h
    Oscillator.cpp
    Oscillator.h
    OutputChannel.cpp
    OutputChannel.h
    PSMoveController.cpp
    PSMoveController.h
    PSMoveMgr.cpp
    PSMoveMgr.h
    PanicButton.cpp
    PanicButton.h
    Panner.cpp
    Panner.h
    PatchCable.cpp
    PatchCable.h
    PatchCableSource.cpp
    PatchCableSource.h
    PeakTracker.cpp
    PeakTracker.h
    PerformanceTimer.cpp
    PerformanceTimer.h
    PerlinNoise.cpp
    PerlinNoise.h
    PitchBender.cpp
    PitchBender.h
    PitchChorus.cpp
    PitchChorus.h
    PitchDetector.cpp
    PitchDetector.h
    PitchDive.cpp
    PitchDive.h
    PitchPanner.cpp
    PitchPanner.h
    PitchRemap.cpp
    PitchRemap.h
    PitchSetter.cpp
    PitchSetter.h
    PitchShiftEffect.cpp
    PitchShiftEffect.h
    PitchShifter.cpp
    PitchShifter.h
    PitchToCV.cpp
    PitchToCV.h
    PitchToSpeed.cpp
    PitchToSpeed.h
    PlaySequencer.cpp
    PlaySequencer.h
    PolyphonyMgr.cpp
    PolyphonyMgr.h
    Polyrhythms.cpp
    Polyrhythms.h
    Prefab.cpp
    Prefab.h
    Pressure.cpp
    Pressure.h
    PressureToCV.cpp
    PressureToCV.h
    PressureToModwheel.cpp
    PressureToModwheel.h
    PressureToVibrato.cpp
    PressureToVibrato.h
    PreviousNote.cpp
    PreviousNote.h
    Producer.cpp
    Producer.h
    Profiler.cpp
    Profiler.h
    PulseButton.cpp
    PulseButton.h
    PulseChance.cpp
    PulseChance.h
    PulseDelayer.cpp
    PulseDelayer.h
    PulseDisplayer.cpp
    PulseDisplayer.h
    PulseFlag.cpp
    PulseFlag.h
    PulseGate.cpp
    PulseGate.h
    PulseHocket.cpp
    PulseHocket.h
    PulseSequence.cpp
    PulseSequence.h
    PulseTrain.cpp
    PulseTrain.h
    Pulser.cpp
    Pulser.h
    Pumper.cpp
    Pumper.h
    Push2Control.cpp
    Push2Control.h
    QuickSpawnMenu.cpp
    QuickSpawnMenu.h
    RadioButton.cpp
    RadioButton.h
    RadioSequencer.cpp
    RadioSequencer.h
    Ramp.cpp
    Ramp.h
    Ramper.cpp
    Ramper.h
    RandomNoteGenerator.cpp
    RandomNoteGenerator.h
    Razor.cpp
    Razor.h
    Rewriter.cpp
    Rewriter.h
    RingModulator.cpp
    RingModulator.h
    RollingBuffer.cpp
    RollingBuffer.h
    Sample.cpp
    Sample.h
    SampleBrowser.cpp
    SampleBrowser.h
    SampleCanvas.cpp
    SampleCanvas.h
    SampleCapturer.cpp
    SampleCapturer.h
    SampleDrawer.cpp
    SampleDrawer.h
    SampleFinder.cpp
    SampleFinder.h
    SampleLayerer.cpp
    SampleLayerer.h
    SamplePlayer.cpp
    SamplePlayer.h
    SampleVoice.cpp
    SampleVoice.h
    Sampler.cpp
    Sampler.h
    SamplerGrid.cpp
    SamplerGrid.h
    Scale.cpp
    Scale.h
    ScaleDegree.cpp
    ScaleDegree.h
