=== debian/changelog ===
bespokesynth (1.2.1+dfsg-4) unstable; urgency=medium

  * Replace adjust-json.patch with a forwarded PR.
  * Add patch to fix reproducibility issues.
  * Set upstream metadata fields: Repository.

 -- Andrius Merkys <merkys@debian.org>  Wed, 22 Nov 2023 01:18:38 -0500

bespokesynth (1.2.1+dfsg-3) unstable; urgency=medium

  * Drop unused system-ableton.patch.

 -- Andrius Merkys <merkys@debian.org>  Sun, 12 Nov 2023 02:52:14 -0500

bespokesynth (1.2.1+dfsg-2) unstable; urgency=medium

  * Add license statements for Source/PitchShifter.cpp and
    libs/nanovg/nanovg/fontstash.h.
  * Apply https://github.com/BespokeSynth/BespokeSynth/pull/1397 instead of a
    patch to locate system-provided AbletonLink.
  * Drop no longer needed patches.

 -- Andrius Merkys <merkys@debian.org>  Thu, 09 Nov 2023 05:07:26 -0500

bespokesynth (1.2.1+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1025206)

 -- Andrius Merkys <merkys@debian.org>  Wed, 18 Oct 2023 03:10:22 -0400
