=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: bespokesynth
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Rules-Requires-Root: no
