## bespokesynth 1.3.0%2Bdfsg

=== libs/CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,6 @@
 if(NOT BESPOKE_SYSTEM_JSONCPP)
   add_subdirectory(json EXCLUDE_FROM_ALL)
   message(STATUS "Using bundled jsoncpp")
-else()
-  include(FindPkgConfig)
-  pkg_search_module(json REQUIRED jsoncpp)
-  message(STATUS "Using system provided jsoncpp")
 endif()
 add_subdirectory(leathers EXCLUDE_FROM_ALL)
 add_subdirectory(nanovg EXCLUDE_FROM_ALL)
