=== Source/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
 include(cmake/lib.cmake)
 include(cmake/versiontools.cmake)
-include(../libs/ableton-link/AbletonLinkConfig.cmake)
+if(BESPOKE_SYSTEM_ABLETONLINK)
+    find_package(AbletonLink NAMES AbletonLink ableton-link link REQUIRED)
+else()
+    include(../libs/ableton-link/AbletonLinkConfig.cmake)
+endif()
 
 juce_add_gui_app(BespokeSynth
     PRODUCT_NAME BespokeSynth
@@ -16,6 +20,19 @@
     )
 
 bespoke_buildtime_version_info(BespokeSynth)
+
+if(MSVC)
+    if(BESPOKE_WERROR)
+        target_compile_options(BespokeSynth PRIVATE /WX)
+    endif()
+else()
+    if (APPLE)
+        target_compile_options(BespokeSynth PRIVATE -Wshorten-64-to-32)
+    endif()
+    if(BESPOKE_WERROR)
+        target_compile_options(BespokeSynth PRIVATE -Werror)
+    endif()
+endif()
 
 target_sources(BespokeSynth PRIVATE
     ADSR.cpp
@@ -38,6 +55,8 @@
     AudioRouter.h
     AudioSend.cpp
     AudioSend.h
+    AudioSplitter.cpp
+    AudioSplitter.h
     AudioToCV.cpp
     AudioToCV.h
     AudioToPulse.cpp
@@ -104,6 +123,8 @@
     CommentDisplay.h
     Compressor.cpp
     Compressor.h
+    ControlRecorder.cpp
+    ControlRecorder.h
     ControlSequencer.cpp
     ControlSequencer.h
     ControlTactileFeedback.cpp
@@ -114,6 +135,8 @@
     Curve.h
     CurveLooper.cpp
     CurveLooper.h
+    DataProvider.cpp
+    DataProvider.h
     DCOffset.cpp
     DCOffset.h
     DCRemoverEffect.cpp
@@ -124,6 +147,10 @@
     DelayEffect.h
     DistortionEffect.cpp
     DistortionEffect.h
+    DotGrid.cpp
+    DotGrid.h
+    DotSequencer.cpp
+    DotSequencer.h
     DropdownList.cpp
     DropdownList.h
     DrumPlayer.cpp
@@ -144,6 +171,8 @@
     EnvelopeEditor.h
     EnvelopeModulator.cpp
     EnvelopeModulator.h
+    EuclideanSequencer.cpp
+    EuclideanSequencer.h
     EventCanvas.cpp
     EventCanvas.h
     FFT.cpp
@@ -239,6 +268,8 @@
     KeyboardDisplay.h
     Kicker.cpp
     Kicker.h
+    LabelDisplay.cpp
+    LabelDisplay.h
     LFO.cpp
     LFO.h
     LFOController.cpp
@@ -249,6 +280,8 @@
     LaunchpadKeyboard.h
     LaunchpadNoteDisplayer.cpp
     LaunchpadNoteDisplayer.h
+    LevelMeterDisplay.cpp
+    LevelMeterDisplay.h
     LinkwitzRileyFilter.cpp
     LinkwitzRileyFilter.h
     LinnstrumentControl.cpp
@@ -491,6 +524,8 @@
     PitchToCV.h
     PitchToSpeed.cpp
     PitchToSpeed.h
+    PitchToValue.cpp
+    PitchToValue.h
     PlaySequencer.cpp
     PlaySequencer.h
     PolyphonyMgr.cpp
@@ -527,6 +562,10 @@
     PulseGate.h
     PulseHocket.cpp
     PulseHocket.h
+    PulseLimit.cpp
+    PulseLimit.h
+    PulseRouter.cpp
+    PulseRouter.h
     PulseSequence.cpp
     PulseSequence.h
     PulseTrain.cpp
@@ -536,50 +575,3 @@
     Pumper.cpp
     Pumper.h
     Push2Control.cpp
-    Push2Control.h
-    QuickSpawnMenu.cpp
-    QuickSpawnMenu.h
-    RadioButton.cpp
-    RadioButton.h
-    RadioSequencer.cpp
-    RadioSequencer.h
-    Ramp.cpp
-    Ramp.h
-    Ramper.cpp
-    Ramper.h
-    RandomNoteGenerator.cpp
-    RandomNoteGenerator.h
-    Razor.cpp
-    Razor.h
-    Rewriter.cpp
-    Rewriter.h
-    RingModulator.cpp
-    RingModulator.h
-    RollingBuffer.cpp
-    RollingBuffer.h
-    Sample.cpp
-    Sample.h
-    SampleBrowser.cpp
-    SampleBrowser.h
-    SampleCanvas.cpp
-    SampleCanvas.h
-    SampleCapturer.cpp
-    SampleCapturer.h
-    SampleDrawer.cpp
-    SampleDrawer.h
-    SampleFinder.cpp
-    SampleFinder.h
-    SampleLayerer.cpp
-    SampleLayerer.h
-    SamplePlayer.cpp
-    SamplePlayer.h
-    SampleVoice.cpp
-    SampleVoice.h
-    Sampler.cpp
-    Sampler.h
-    SamplerGrid.cpp
-    SamplerGrid.h
-    Scale.cpp
-    Scale.h
-    ScaleDegree.cpp
-    ScaleDegree.h
