=== debian/changelog ===
bespokesynth (1.3.0+dfsg-2build1) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 22:35:44 -0500

bespokesynth (1.3.0+dfsg-2) unstable; urgency=medium

  * Build-depend on libexprtk-dev instead of libmrpt-expr-dev.

 -- Andrius Merkys <merkys@debian.org>  Mon, 27 Jan 2025 02:33:32 -0500

bespokesynth (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.0+dfsg
  * Add versioned depends on juce-modules-source.
  * Use system-provided exprtk, build depend on libmrpt-expr-dev to get the
    missing exprtk.hpp.
  * Add debian/gbp.conf.

 -- Andrius Merkys <merkys@debian.org>  Mon, 23 Dec 2024 09:47:17 -0500
