=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  ableton-link-dev,
  cmake,
  debhelper-compat (= 13),
- juce-modules-source,
+ juce-modules-source (>= 7.0.0),
+ libexprtk-dev,
  libjack-dev,
  libjsoncpp-dev,
  libmts-esp-dev,
