=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBESPOKE_SYSTEM_JUCE=ON -DBESPOKE_DEVENDORED_SYSTEM_JUCE=ON -DBESPOKE_SYSTEM_PYBIND11=ON -DBESPOKE_SYSTEM_JSONCPP=ON -DBESPOKE_SYSTEM_TUNING_LIBRARY=ON -DBESPOKE_SYSTEM_ABLETONLINK=ON
